gdcm::PersonName Class Reference

PersonName class. More...

`#include <gdcmPersonName.h>`

## Public Member Functions

unsigned int | GetMaxLength () const
unsigned int | GetNumberOfComponents () const
void | Print (std::ostream &os) const
void | SetBlob (const std::vector< char > &v)
void | SetComponents (const char *comp1="", const char *comp2="", const char *comp3="", const char *comp4="", const char *comp5="")
void | SetComponents (const char *components[])

## Public Attributes

char | Component [MaxNumberOfComponents][MaxLength+1]

## Static Public Attributes

static const unsigned int | MaxLength = 64
static const unsigned int | MaxNumberOfComponents = 5
static const char | Padding = ' '
static const char | Separator = '^'

## Detailed Description

PersonName class.

## Member Function Documentation

## GetMaxLength()

unsigned int gdcm::PersonName::GetMaxLength | ( |  | ) | const

inline

References MaxLength.

Referenced by SetComponents().

## GetNumberOfComponents()

unsigned int gdcm::PersonName::GetNumberOfComponents | ( |  | ) | const

inline

References Component.

## Print()

void gdcm::PersonName::Print | ( | std::ostream & | os | ) | const

inline

References Component.

## SetBlob()

void gdcm::PersonName::SetBlob | ( | const std::vector< char > & | v | ) |

inline

## SetComponents() [1/2]

void gdcm::PersonName::SetComponents | ( | const char * | comp1 = "",
|  | const char * | comp2 = "",
|  | const char * | comp3 = "",
|  | const char * | comp4 = "",
|  | const char * | comp5 = "" )

inline

References SetComponents().

Referenced by SetComponents().

## SetComponents() [2/2]

void gdcm::PersonName::SetComponents | ( | const char * | components[] | ) |

inline

References Component, and GetMaxLength().

## Member Data Documentation

## Component

char gdcm::PersonName::Component[MaxNumberOfComponents][MaxLength+1]

Referenced by GetNumberOfComponents(), Print(), and SetComponents().

## MaxLength

const unsigned int gdcm::PersonName::MaxLength = 64

static

Referenced by GetMaxLength().

## MaxNumberOfComponents

const unsigned int gdcm::PersonName::MaxNumberOfComponents = 5

static

## Padding

const char gdcm::PersonName::Padding = ' '

static

## Separator

const char gdcm::PersonName::Separator = '^'

static

The documentation for this class was generated from the following file:

- gdcmPersonName.h